joomla 3.4.3 and php7 RC1

General questions relating to Joomla! 3.x.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Locked
sazearte
Joomla! Apprentice
Joomla! Apprentice
Posts: 6
Joined: Sun Apr 26, 2015 9:29 am

joomla 3.4.3 and php7 RC1

Post by sazearte » Sat Aug 29, 2015 6:45 am

Hello, I have the impression that Joomla (3.4.3) is not compatible with php7 RC1. When I tried a virgin install I get the following error:

Code: Select all

Fatal error: Cannot use Joomla\String\String as String because 'String' is a special class name in D:\EasyPHP\data\localweb\joomla\libraries\vendor\joomla\registry\src\Format\Json.php on line 12
And if I import a version already installed, I get the following error:

Code: Select all

Database Error: The PHP `ext/mysql` extension is removed in PHP 7, cannot use the `mysql` driver. Also, this system does not support MySQLi or PDO MySQL. Cannot instantiate database driver.Database Error: The PHP `ext/mysql` extension is removed in PHP 7, cannot use the `mysql` driver. Also, this system does not support MySQLi or PDO MySQL. Cannot instantiate database driver.
And you?, You have managed to operate under PHP7 joomla?

User avatar
ot2sen
Joomla! Master
Joomla! Master
Posts: 10424
Joined: Thu Aug 18, 2005 9:58 am
Location: Hillerød - Denmark
Contact:

Re: joomla 3.4.3 and php7 RC1

Post by ot2sen » Sat Aug 29, 2015 7:02 am

Hi sazearte,

Correct. The joomla 3.4.3 isn´t fully compatible with PHP 7 RC.
The joomla 3.5 development branch should be though :)

Some references for your errors can be seen in these solved issues:

'String':
http://issues.joomla.org/tracker/joomla-cms/7571
'ext/mysql':
http://issues.joomla.org/tracker/joomla-cms/6442
and
http://issues.joomla.org/tracker/joomla-cms/6433
Ole Bang Ottosen
Dansk frivillig Joomla! support websted - joomla.dk
OpenTranslators Core Team opentranslators.org

sazearte
Joomla! Apprentice
Joomla! Apprentice
Posts: 6
Joined: Sun Apr 26, 2015 9:29 am

Re: joomla 3.4.3 and php7 RC1

Post by sazearte » Sat Aug 29, 2015 7:18 am

ok, thank you for your answer.

Joomla 3.5 will be compatible with php 7?
Do you go out when joomla 3.5?

I tested Joomla 3.5 nightly: http://developer.joomla.org/cms-packages/


Locked

Return to “General Questions/New to Joomla! 3.x”